PUT Application/PutRole
Request Information
URI Parameters
None.
Body Parameters
Role| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| IsSystemAdministrator | boolean |
Required |
|
| WorkflowID | globally unique identifier |
Required |
|
| IsGroupAdmin | boolean |
Required |
|
| Workflow | Workflow |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "a6a61338-1cee-4100-a978-b205ac489c90",
"name": "sample string 2",
"description": "sample string 3",
"isSystemAdministrator": true,
"workflowID": "fb1d494a-9833-4e9a-9521-ac056943ce53",
"isGroupAdmin": true,
"workflow": {
"$id": "2",
"id": "58c21644-c9b9-46ef-a976-371a4586cd5e",
"parentID": "f918a1c6-2338-41c1-98d2-6a9878ca2677",
"typeID": 2,
"name": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"active": true,
"caption": "sample string 7",
"iconName": "sample string 8",
"isMobile": true,
"alias": "sample string 10",
"notificationBadgeValueViewModel": "sample string 11",
"notificationBadgeBackgroundColour": "sample string 12",
"notificationBadgeTextColour": "sample string 13",
"isPercentageNotificationBadge": true,
"isVisible": true
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.